Subject: pkg/29613: irssi won't compile with latest perl and USE_PERL
To: None <,,>
From: None <>
List: pkgsrc-bugs
Date: 03/06/2005 23:56:00
>Number:         29613
>Category:       pkg
>Synopsis:       irssi from pkgsrc won't compile with latest perl (5.8) and USE_PERL
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Sun Mar 06 23:56:00 +0000 2005
>Originator:     Hanno Wagner <>
>Release:        NetBSD 2.0G

System: NetBSD angua 2.0G NetBSD 2.0G (ANGUA) #0: Sun Jul 25 15:09:16 CEST 2004 src@angua:/usr/src/sys/arch/i386/compile/ANGUA i386
Architecture: i386
Machine: i386
	irssi isn't able to compile with latest perl. The error message you get is:
Unable to find a perl 5 (by these names: /home/NetBSD/pkgsrc/chat/irssi/work.i386/.tools/bin/perl perl perl5 perl5.8.6 miniperl, in these dirs: /home/NetBSD/pkgsrc/chat/irssi/work.i386/.wrapper/bin /home/NetBSD/pkgsrc/chat/irssi/work.i386/.buildlink/bin /home/NetBSD/pkgsrc/chat/irssi/work.i386/.tools/bin /home/NetBSD/pkgsrc/chat/irssi/work.i386/.gcc/bin /usr/pkg/bin /usr/bin /bin /usr/pkg/bin /usr/local/bin /usr/pkg/java/jdk-1.1.8/bin /usr/pkg/bin /usr/X11R6/bin /usr/pkg/bin)
Writing Makefile for Irssi
0: not found
*** Error code 127

make: stopped in /home/NetBSD/pkgsrc/chat/irssi/work.i386/irssi-0.8.9/src/perl/common
0: not found

but I have the following perl:

angua:/usr/pkgsrc/chat/irssi> perl -v
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
        LC_ALL = (unset),
        LANG = "De_DE"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").

This is perl, v5.8.6 built for i386-netbsd-thread-multi

try to compile irssi together with perl-support